Skip to main content

createOrUpdateContainerFinding

Create or Update a Container finding

createOrUpdateContainerFinding(
input: CreateOrUpdateContainerFindingInput!
): CreateOrUpdateContainerFindingPayload

Arguments​

createOrUpdateContainerFinding.input ● CreateOrUpdateContainerFindingInput! non-null input​

Parameters for CreateOrUpdateContainerFinding

Type​

CreateOrUpdateContainerFindingPayload object​

Autogenerated return type of CreateOrUpdateContainerFinding.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateContainerFinding($input: CreateOrUpdateContainerFindingInput!) {\n createOrUpdateContainerFinding(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"assetId":1,"title":"example","description":"example","package":"example","affectedVersion":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute